/* GPC (C) 2017-2018 Stephane Charette <stephanecharette@gmail.com>
 * $Id: src-img.cpp 2476 2018-03-12 09:50:42Z stephane $
 */

#include "GPC.hpp"
#include "src-img.h"


Image GormanSplashLogo(void)
{
	return ImageCache::getFromMemory(Gorman_print_control_png, sizeof(Gorman_print_control_png));
}


Image GormanLogo(void)
{
	return ImageCache::getFromMemory(Gorman_logo_png, sizeof(Gorman_logo_png));
}


Image tango_search_folder(void)
{
	return ImageCache::getFromMemory(tango_folder_search_png, sizeof(tango_folder_search_png));
}


Image tango_save_as(void)
{
	return ImageCache::getFromMemory(tango_save_as_png, sizeof(tango_save_as_png));
}


Image tango_refresh(void)
{
	return ImageCache::getFromMemory(tango_refresh_png, sizeof(tango_refresh_png));
}


Image sample_feta(void)
{
	return ImageCache::getFromMemory(sample_feta_png, sizeof(sample_feta_png));
}


Image sample_grade1a(void)
{
	return ImageCache::getFromMemory(sample_grade1a_png, sizeof(sample_grade1a_png));
}


Image sample_grade2a(void)
{
	return ImageCache::getFromMemory(sample_grade2a_png, sizeof(sample_grade2a_png));
}


Image sample_grade3a(void)
{
	return ImageCache::getFromMemory(sample_grade3a_png, sizeof(sample_grade3a_png));
}


Image sample_grade4a(void)
{
	return ImageCache::getFromMemory(sample_grade4a_png, sizeof(sample_grade4a_png));
}


Image sample_grade5a(void)
{
	return ImageCache::getFromMemory(sample_grade5a_png, sizeof(sample_grade5a_png));
}


Image sample_grade6a(void)
{
	return ImageCache::getFromMemory(sample_grade6a_png, sizeof(sample_grade6a_png));
}


Image sample_grade7a(void)
{
	return ImageCache::getFromMemory(sample_grade7a_png, sizeof(sample_grade7a_png));
}


Image sample_logo_cofiht(void)
{
	return ImageCache::getFromMemory(sample_logo_cofiht_png, sizeof(sample_logo_cofiht_png));
}


Image sample_neta(void)
{
	return ImageCache::getFromMemory(sample_neta_png, sizeof(sample_neta_png));
}


Image sample_null(void)
{
	return ImageCache::getFromMemory(sample_null_png, sizeof(sample_null_png));
}


Image sample_test(void)
{
	return ImageCache::getFromMemory(sample_test_png, sizeof(sample_test_png));
}


Image tango_mona_lisa(void)
{
	return ImageCache::getFromMemory(mona_lisa_32x32_png, sizeof(mona_lisa_32x32_png));
}


Image tango_mona_lisa_add(void)
{
	return ImageCache::getFromMemory(mona_lisa_add_32x32_png, sizeof(mona_lisa_add_32x32_png));
}


Image tango_mona_lisa_del(void)
{
	return ImageCache::getFromMemory(mona_lisa_del_32x32_png, sizeof(mona_lisa_del_32x32_png));
}


Image tango_mona_lisa_dup(void)
{
	return ImageCache::getFromMemory(mona_lisa_dup_32x32_png, sizeof(mona_lisa_dup_32x32_png));
}


Image tango_mona_lisa_inv(void)
{
	return ImageCache::getFromMemory(mona_lisa_inv_32x32_png, sizeof(mona_lisa_inv_32x32_png));
}


Image tango_image_add(void)
{
	return ImageCache::getFromMemory(image_add_32x32_png, sizeof(image_add_32x32_png));
}


Image tango_image_del(void)
{
	return ImageCache::getFromMemory(image_del_32x32_png, sizeof(image_del_32x32_png));
}


Image tango_image_dup(void)
{
	return ImageCache::getFromMemory(image_dup_32x32_png, sizeof(image_dup_32x32_png));
}
